%define module_name Mojo-mysql
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/mysql.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(SQL/Abstract.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: Mojolicious and Async MySQL
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojo-mysql

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEKKI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojo::mysql manpage is a tiny wrapper around the DBD::mysql manpage that makes
MySQL a lot of fun to use with the
Mojolicious real-time web framework.

Database and statement handles are cached automatically, so they can be reused
transparently to increase performance. While all I/O operations are performed
blocking, you can wait for long running queries asynchronously, allowing the
the Mojo::IOLoop manpage event loop to perform other tasks in the meantime. Since
database connections usually have a very low latency, this often results in
very good performance.

All cached database handles will be reset automatically if a new process has
been forked, this allows multiple processes to share the same the Mojo::mysql manpage
object safely.

Note that this whole distribution is EXPERIMENTAL and will change without
warning!
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md examples
%perl_vendor_privlib/M*
%perl_vendor_privlib/S*

%changelog
* Mon Apr 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- updated by package builder

* Mon Mar 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1
- updated by package builder

* Sat Mar 02 2019 Igor Vlasenko <viy@altlinux.ru> 1.13-alt1
- updated by package builder

* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- regenerated from template by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Wed Oct 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

